	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_REC_SHIFT_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var NAVIGATION_BACK_BBI = null;
	
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var REC_SHIFT_ACC_GROUP_ID_CMB = null;
	var REC_SHIFT_ACC_DEVICE_ID_CMB = null;
	var REC_SHIFT_ACC_ACCOUNT_ID_CMB = null;
	var REC_SHIFT_TIME_BEGIN_DTP = null;
	var REC_SHIFT_TIME_END_DTP = null;
	var REC_SHIFT_CASH_BEGIN_TXT = null;
	var REC_SHIFT_CREDIT_10KS_TXT = null;
	var REC_SHIFT_CREDIT_5KS_TXT = null;
	var REC_SHIFT_CREDIT_2KS_TXT = null;
	var REC_SHIFT_CREDIT_1KS_TXT = null;
	var REC_SHIFT_CREDIT_500S_TXT = null;
	var REC_SHIFT_CREDIT_200S_TXT = null;
	var REC_SHIFT_CREDIT_100S_TXT = null;
	var REC_SHIFT_CREDIT_50S_TXT = null;
	var REC_SHIFT_CREDIT_20S_TXT = null;
	var REC_SHIFT_CREDIT_10S_TXT = null;
	var REC_SHIFT_CREDIT_5S_TXT = null;
	var REC_SHIFT_CREDIT_1S_TXT = null;
	var REC_SHIFT_CREDIT_CENTS_TXT = null;
	var REC_SHIFT_CREDIT_CHECK_COUNT_TXT = null;
	var REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT = null;
	var REC_SHIFT_STATUS_CMB = null;
	var PARAM_REC_SHIFT_ID_FILE_FP = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var POS_SHIFT_DGV = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_POS_SHIFT"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID_POS_SHIFT");
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			//window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_POS_SHIFT"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION_POS_SHIFT");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	
			}
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_POS_SHIFT") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_POS_SHIFT")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
				
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_POS_SHIFT', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_POS_SHIFT', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
		}
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_REC_SHIFT_ID"))
		{
			PROPERTY_REC_SHIFT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_REC_SHIFT_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_REC_SHIFT_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("POS_SHIFT_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("POS_SHIFT_MODAL", false);
		}
				
		// Initialize: Ribbon Buttons [Add Item]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD_BBI"))
		{
    		ADD_BBI = JSOC_ELEMENT.VAR_GET("ADD_BBI");     	
			
			// Add OnClick event [Show Modal]
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("POS_SHIFT_MODAL"))
			{
				ADD_BBI.onclick = 
					function()
					{		
						// Display Modal
						PROPERTY_REC_SHIFT_ID = FLAG_BIGINT_NULL;
						PROPERTY_EDIT_ROW_INDEX = -1;
						
						if(JSVC_VAR.VAR_ISSET(INPUT_INSTANCE))
						{
							JSOC_WINDOW.VAR_INPUT_INSTANCE_RESTORE(INPUT_INSTANCE);
						}
						EDIT_HANDLER.REF_IS_MODIFIED = false;
						JSOC_DIALOG.VAR_MODAL("POS_SHIFT_MODAL", true);
					}		
			}
			// Add OnClick event [Show Add/Edit Page]
			else
			{
				
			}
		}	
		
		// Initialize: Ribbon Buttons [Save Changes]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
		{
    		SAVE_BBI = JSOC_ELEMENT.VAR_GET("SAVE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');
					}
				
				// Add OnClick event
				SAVE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					}
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("CANCEL_BBI"))
		{
    		CANCEL_BBI = JSOC_ELEMENT.VAR_GET("CANCEL_BBI");      		
		}
		
		// Initialize: Ribbon Buttons [Add Back Link (to parent page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				}		
		}
		
		// Initialize: Ribbon Buttons [Add Forward Link (to child page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				}		
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH()};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSRC_EXCEL.REF_EXPORT('POS_SHIFT_DGV');
			};
		}		

		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_ID_TXT"))
		{
			REC_SHIFT_ID_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_ID_TXT");      
			REC_SHIFT_ID_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_ID_TXT.onkeypress = function(){REC_SHIFT_ID_TXT.onchange();};
			REC_SHIFT_ID_TXT.onpaste = function(){REC_SHIFT_ID_TXT.onchange();};
			REC_SHIFT_ID_TXT.oninput = function(){REC_SHIFT_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_ACC_GROUP_ID_CMB"))
		{
			REC_SHIFT_ACC_GROUP_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_SHIFT_ACC_GROUP_ID_CMB");      	
			REC_SHIFT_ACC_GROUP_ID_CMB.onchange = 
				function()
				{
					if(REC_SHIFT_ACC_GROUP_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_ACC_GROUP_ID_CMB.onkeypress = function(){REC_SHIFT_ACC_GROUP_ID_CMB.onchange();};
			REC_SHIFT_ACC_GROUP_ID_CMB.onpaste = function(){REC_SHIFT_ACC_GROUP_ID_CMB.onchange();};
			REC_SHIFT_ACC_GROUP_ID_CMB.oninput = function(){REC_SHIFT_ACC_GROUP_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_ACC_DEVICE_ID_CMB"))
		{
			REC_SHIFT_ACC_DEVICE_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_SHIFT_ACC_DEVICE_ID_CMB");      	
			REC_SHIFT_ACC_DEVICE_ID_CMB.onchange = 
				function()
				{
					if(REC_SHIFT_ACC_DEVICE_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_ACC_DEVICE_ID_CMB.onkeypress = function(){REC_SHIFT_ACC_DEVICE_ID_CMB.onchange();};
			REC_SHIFT_ACC_DEVICE_ID_CMB.onpaste = function(){REC_SHIFT_ACC_DEVICE_ID_CMB.onchange();};
			REC_SHIFT_ACC_DEVICE_ID_CMB.oninput = function(){REC_SHIFT_ACC_DEVICE_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_ACC_ACCOUNT_ID_CMB"))
		{
			REC_SHIFT_ACC_ACCOUNT_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_SHIFT_ACC_ACCOUNT_ID_CMB");      	
			REC_SHIFT_ACC_ACCOUNT_ID_CMB.onchange = 
				function()
				{
					if(REC_SHIFT_ACC_ACCOUNT_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_ACC_ACCOUNT_ID_CMB.onkeypress = function(){REC_SHIFT_ACC_ACCOUNT_ID_CMB.onchange();};
			REC_SHIFT_ACC_ACCOUNT_ID_CMB.onpaste = function(){REC_SHIFT_ACC_ACCOUNT_ID_CMB.onchange();};
			REC_SHIFT_ACC_ACCOUNT_ID_CMB.oninput = function(){REC_SHIFT_ACC_ACCOUNT_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_TIME_BEGIN_DTP"))
		{
			REC_SHIFT_TIME_BEGIN_DTP = JSOC_ELEMENT.VAR_GET("REC_SHIFT_TIME_BEGIN_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_SHIFT_TIME_BEGIN_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_SHIFT_TIME_BEGIN_DTP.onchange = 
				function()
				{
					if(REC_SHIFT_TIME_BEGIN_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_TIME_BEGIN_DTP.onkeypress = function(){REC_SHIFT_TIME_BEGIN_DTP.onchange();};
			REC_SHIFT_TIME_BEGIN_DTP.onpaste = function(){REC_SHIFT_TIME_BEGIN_DTP.onchange();};
			REC_SHIFT_TIME_BEGIN_DTP.oninput = function(){REC_SHIFT_TIME_BEGIN_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_SHIFT_TIME_BEGIN_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_SHIFT_TIME_BEGIN_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_SHIFT_TIME_BEGIN_FROM_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_SHIFT_TIME_BEGIN_FROM_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_SHIFT_TIME_BEGIN_TO_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_SHIFT_TIME_BEGIN_TO_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', 7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_TIME_END_DTP"))
		{
			REC_SHIFT_TIME_END_DTP = JSOC_ELEMENT.VAR_GET("REC_SHIFT_TIME_END_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_SHIFT_TIME_END_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_SHIFT_TIME_END_DTP.onchange = 
				function()
				{
					if(REC_SHIFT_TIME_END_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_TIME_END_DTP.onkeypress = function(){REC_SHIFT_TIME_END_DTP.onchange();};
			REC_SHIFT_TIME_END_DTP.onpaste = function(){REC_SHIFT_TIME_END_DTP.onchange();};
			REC_SHIFT_TIME_END_DTP.oninput = function(){REC_SHIFT_TIME_END_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_SHIFT_TIME_END_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_SHIFT_TIME_END_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_SHIFT_TIME_END_FROM_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_SHIFT_TIME_END_FROM_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_SHIFT_TIME_END_TO_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_SHIFT_TIME_END_TO_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', 7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CASH_BEGIN_TXT"))
		{
			REC_SHIFT_CASH_BEGIN_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CASH_BEGIN_TXT");      
			REC_SHIFT_CASH_BEGIN_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CASH_BEGIN_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CASH_BEGIN_TXT.onkeypress = function(){REC_SHIFT_CASH_BEGIN_TXT.onchange();};
			REC_SHIFT_CASH_BEGIN_TXT.onpaste = function(){REC_SHIFT_CASH_BEGIN_TXT.onchange();};
			REC_SHIFT_CASH_BEGIN_TXT.oninput = function(){REC_SHIFT_CASH_BEGIN_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CASH_END_TXT"))
		{
			REC_SHIFT_CASH_END_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CASH_END_TXT");      
			REC_SHIFT_CASH_END_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CASH_END_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CASH_END_TXT.onkeypress = function(){REC_SHIFT_CASH_END_TXT.onchange();};
			REC_SHIFT_CASH_END_TXT.onpaste = function(){REC_SHIFT_CASH_END_TXT.onchange();};
			REC_SHIFT_CASH_END_TXT.oninput = function(){REC_SHIFT_CASH_END_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_10KS_TXT"))
		{
			REC_SHIFT_CREDIT_10KS_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_10KS_TXT");      
			REC_SHIFT_CREDIT_10KS_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_10KS_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_10KS_TXT.onkeypress = function(){REC_SHIFT_CREDIT_10KS_TXT.onchange();};
			REC_SHIFT_CREDIT_10KS_TXT.onpaste = function(){REC_SHIFT_CREDIT_10KS_TXT.onchange();};
			REC_SHIFT_CREDIT_10KS_TXT.oninput = function(){REC_SHIFT_CREDIT_10KS_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_5KS_TXT"))
		{
			REC_SHIFT_CREDIT_5KS_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_5KS_TXT");      
			REC_SHIFT_CREDIT_5KS_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_5KS_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_5KS_TXT.onkeypress = function(){REC_SHIFT_CREDIT_5KS_TXT.onchange();};
			REC_SHIFT_CREDIT_5KS_TXT.onpaste = function(){REC_SHIFT_CREDIT_5KS_TXT.onchange();};
			REC_SHIFT_CREDIT_5KS_TXT.oninput = function(){REC_SHIFT_CREDIT_5KS_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_2KS_TXT"))
		{
			REC_SHIFT_CREDIT_2KS_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_2KS_TXT");      
			REC_SHIFT_CREDIT_2KS_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_2KS_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_2KS_TXT.onkeypress = function(){REC_SHIFT_CREDIT_2KS_TXT.onchange();};
			REC_SHIFT_CREDIT_2KS_TXT.onpaste = function(){REC_SHIFT_CREDIT_2KS_TXT.onchange();};
			REC_SHIFT_CREDIT_2KS_TXT.oninput = function(){REC_SHIFT_CREDIT_2KS_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_1KS_TXT"))
		{
			REC_SHIFT_CREDIT_1KS_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_1KS_TXT");      
			REC_SHIFT_CREDIT_1KS_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_1KS_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_1KS_TXT.onkeypress = function(){REC_SHIFT_CREDIT_1KS_TXT.onchange();};
			REC_SHIFT_CREDIT_1KS_TXT.onpaste = function(){REC_SHIFT_CREDIT_1KS_TXT.onchange();};
			REC_SHIFT_CREDIT_1KS_TXT.oninput = function(){REC_SHIFT_CREDIT_1KS_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_500S_TXT"))
		{
			REC_SHIFT_CREDIT_500S_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_500S_TXT");      
			REC_SHIFT_CREDIT_500S_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_500S_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_500S_TXT.onkeypress = function(){REC_SHIFT_CREDIT_500S_TXT.onchange();};
			REC_SHIFT_CREDIT_500S_TXT.onpaste = function(){REC_SHIFT_CREDIT_500S_TXT.onchange();};
			REC_SHIFT_CREDIT_500S_TXT.oninput = function(){REC_SHIFT_CREDIT_500S_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_200S_TXT"))
		{
			REC_SHIFT_CREDIT_200S_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_200S_TXT");      
			REC_SHIFT_CREDIT_200S_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_200S_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_200S_TXT.onkeypress = function(){REC_SHIFT_CREDIT_200S_TXT.onchange();};
			REC_SHIFT_CREDIT_200S_TXT.onpaste = function(){REC_SHIFT_CREDIT_200S_TXT.onchange();};
			REC_SHIFT_CREDIT_200S_TXT.oninput = function(){REC_SHIFT_CREDIT_200S_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_100S_TXT"))
		{
			REC_SHIFT_CREDIT_100S_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_100S_TXT");      
			REC_SHIFT_CREDIT_100S_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_100S_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_100S_TXT.onkeypress = function(){REC_SHIFT_CREDIT_100S_TXT.onchange();};
			REC_SHIFT_CREDIT_100S_TXT.onpaste = function(){REC_SHIFT_CREDIT_100S_TXT.onchange();};
			REC_SHIFT_CREDIT_100S_TXT.oninput = function(){REC_SHIFT_CREDIT_100S_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_50S_TXT"))
		{
			REC_SHIFT_CREDIT_50S_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_50S_TXT");      
			REC_SHIFT_CREDIT_50S_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_50S_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_50S_TXT.onkeypress = function(){REC_SHIFT_CREDIT_50S_TXT.onchange();};
			REC_SHIFT_CREDIT_50S_TXT.onpaste = function(){REC_SHIFT_CREDIT_50S_TXT.onchange();};
			REC_SHIFT_CREDIT_50S_TXT.oninput = function(){REC_SHIFT_CREDIT_50S_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_20S_TXT"))
		{
			REC_SHIFT_CREDIT_20S_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_20S_TXT");      
			REC_SHIFT_CREDIT_20S_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_20S_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_20S_TXT.onkeypress = function(){REC_SHIFT_CREDIT_20S_TXT.onchange();};
			REC_SHIFT_CREDIT_20S_TXT.onpaste = function(){REC_SHIFT_CREDIT_20S_TXT.onchange();};
			REC_SHIFT_CREDIT_20S_TXT.oninput = function(){REC_SHIFT_CREDIT_20S_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_10S_TXT"))
		{
			REC_SHIFT_CREDIT_10S_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_10S_TXT");      
			REC_SHIFT_CREDIT_10S_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_10S_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_10S_TXT.onkeypress = function(){REC_SHIFT_CREDIT_10S_TXT.onchange();};
			REC_SHIFT_CREDIT_10S_TXT.onpaste = function(){REC_SHIFT_CREDIT_10S_TXT.onchange();};
			REC_SHIFT_CREDIT_10S_TXT.oninput = function(){REC_SHIFT_CREDIT_10S_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_5S_TXT"))
		{
			REC_SHIFT_CREDIT_5S_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_5S_TXT");      
			REC_SHIFT_CREDIT_5S_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_5S_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_5S_TXT.onkeypress = function(){REC_SHIFT_CREDIT_5S_TXT.onchange();};
			REC_SHIFT_CREDIT_5S_TXT.onpaste = function(){REC_SHIFT_CREDIT_5S_TXT.onchange();};
			REC_SHIFT_CREDIT_5S_TXT.oninput = function(){REC_SHIFT_CREDIT_5S_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_1S_TXT"))
		{
			REC_SHIFT_CREDIT_1S_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_1S_TXT");      
			REC_SHIFT_CREDIT_1S_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_1S_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_1S_TXT.onkeypress = function(){REC_SHIFT_CREDIT_1S_TXT.onchange();};
			REC_SHIFT_CREDIT_1S_TXT.onpaste = function(){REC_SHIFT_CREDIT_1S_TXT.onchange();};
			REC_SHIFT_CREDIT_1S_TXT.oninput = function(){REC_SHIFT_CREDIT_1S_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_CENTS_TXT"))
		{
			REC_SHIFT_CREDIT_CENTS_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_CENTS_TXT");      
			REC_SHIFT_CREDIT_CENTS_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_CENTS_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_CENTS_TXT.onkeypress = function(){REC_SHIFT_CREDIT_CENTS_TXT.onchange();};
			REC_SHIFT_CREDIT_CENTS_TXT.onpaste = function(){REC_SHIFT_CREDIT_CENTS_TXT.onchange();};
			REC_SHIFT_CREDIT_CENTS_TXT.oninput = function(){REC_SHIFT_CREDIT_CENTS_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_AMOUNT_SALES_TXT"))
		{
			REC_SHIFT_AMOUNT_SALES_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_AMOUNT_SALES_TXT");      
			REC_SHIFT_AMOUNT_SALES_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_AMOUNT_SALES_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_AMOUNT_SALES_TXT.onkeypress = function(){REC_SHIFT_AMOUNT_SALES_TXT.onchange();};
			REC_SHIFT_AMOUNT_SALES_TXT.onpaste = function(){REC_SHIFT_AMOUNT_SALES_TXT.onchange();};
			REC_SHIFT_AMOUNT_SALES_TXT.oninput = function(){REC_SHIFT_AMOUNT_SALES_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_AMOUNT_RETURN_TXT"))
		{
			REC_SHIFT_AMOUNT_RETURN_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_AMOUNT_RETURN_TXT");      
			REC_SHIFT_AMOUNT_RETURN_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_AMOUNT_RETURN_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_AMOUNT_RETURN_TXT.onkeypress = function(){REC_SHIFT_AMOUNT_RETURN_TXT.onchange();};
			REC_SHIFT_AMOUNT_RETURN_TXT.onpaste = function(){REC_SHIFT_AMOUNT_RETURN_TXT.onchange();};
			REC_SHIFT_AMOUNT_RETURN_TXT.oninput = function(){REC_SHIFT_AMOUNT_RETURN_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_CHECK_COUNT_TXT"))
		{
			REC_SHIFT_CREDIT_CHECK_COUNT_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_CHECK_COUNT_TXT");      
			REC_SHIFT_CREDIT_CHECK_COUNT_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_CHECK_COUNT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_CHECK_COUNT_TXT.onkeypress = function(){REC_SHIFT_CREDIT_CHECK_COUNT_TXT.onchange();};
			REC_SHIFT_CREDIT_CHECK_COUNT_TXT.onpaste = function(){REC_SHIFT_CREDIT_CHECK_COUNT_TXT.onchange();};
			REC_SHIFT_CREDIT_CHECK_COUNT_TXT.oninput = function(){REC_SHIFT_CREDIT_CHECK_COUNT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT"))
		{
			REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT");      
			REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT.onkeypress = function(){REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT.onchange();};
			REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT.onpaste = function(){REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT.onchange();};
			REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT.oninput = function(){REC_SHIFT_CREDIT_CHECK_AMOUNT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CASHIN_TXT"))
		{
			REC_SHIFT_CASHIN_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CASHIN_TXT");      
			REC_SHIFT_CASHIN_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CASHIN_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CASHIN_TXT.onkeypress = function(){REC_SHIFT_CASHIN_TXT.onchange();};
			REC_SHIFT_CASHIN_TXT.onpaste = function(){REC_SHIFT_CASHIN_TXT.onchange();};
			REC_SHIFT_CASHIN_TXT.oninput = function(){REC_SHIFT_CASHIN_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_CASHOUT_TXT"))
		{
			REC_SHIFT_CASHOUT_TXT = JSOC_ELEMENT.VAR_GET("REC_SHIFT_CASHOUT_TXT");      
			REC_SHIFT_CASHOUT_TXT.onchange = 
				function()
				{
					if(REC_SHIFT_CASHOUT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_CASHOUT_TXT.onkeypress = function(){REC_SHIFT_CASHOUT_TXT.onchange();};
			REC_SHIFT_CASHOUT_TXT.onpaste = function(){REC_SHIFT_CASHOUT_TXT.onchange();};
			REC_SHIFT_CASHOUT_TXT.oninput = function(){REC_SHIFT_CASHOUT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_SHIFT_STATUS_CMB"))
		{
			REC_SHIFT_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_SHIFT_STATUS_CMB");      	
			REC_SHIFT_STATUS_CMB.onchange = 
				function()
				{
					if(REC_SHIFT_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_SHIFT_STATUS_CMB.onkeypress = function(){REC_SHIFT_STATUS_CMB.onchange();};
			REC_SHIFT_STATUS_CMB.onpaste = function(){REC_SHIFT_STATUS_CMB.onchange();};
			REC_SHIFT_STATUS_CMB.oninput = function(){REC_SHIFT_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_REC_SHIFT_ID_FILE_FP"))
		{
			PARAM_REC_SHIFT_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_REC_SHIFT_ID_FILE_FP");
		}
				
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	}